> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/btc-treasuries/purchase-history.md).

# 5.2 BTC Purchase History

```
GET /btc-treasuries/{ticker}/purchase-history
```

**Path Parameters**

| Parameter | Type   | Required | Description  |
| --------- | ------ | -------- | ------------ |
| ticker    | string | Yes      | Stock ticker |

**Query Parameters**

| Parameter   | Type   | Required | Description         |
| ----------- | ------ | -------- | ------------------- |
| start\_date | string | No       | Start date          |
| end\_date   | string | No       | End date            |
| limit       | string | No       | Default 50, max 100 |

**Response Example**

```json
[
    {
        "date": "2024-04-12",
        "ticker": "MSTR",
        "btc_holding": 720737,
        "btc_acq": 3015,
        "acq_cost": 410000000,
        "avg_btc_cost": 75985
    }
]
```

**Response Fields**

| Field          | Type   | Description                   |
| -------------- | ------ | ----------------------------- |
| date           | String | Purchase date                 |
| ticker         | String | Stock ticker                  |
| btc\_holding   | Number | Total BTC holdings            |
| btc\_acq       | Number | BTC acquired in this purchase |
| acq\_cost      | Number | Acquisition cost (USD)        |
| avg\_btc\_cost | Number | Average cost per BTC (USD)    |
